{
  description = "Minimal fork of https://github.com/Twxtter/Twxtter-main meant for embedding alongside Nitter";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    mach-nix.url = "github:DavHau/mach-nix";
  };
  outputs = { self, nixpkgs, mach-nix }:
  let
    system = "x86_64-linux";  
    pkgs = import nixpkgs { inherit system; };
    baseConfig = {
      requirements = builtins.readFile ./requirements.txt;
    };
    machNix = mach-nix.lib."${system}";
  in {
    devShells."${system}".default = machNix.mkPythonShell baseConfig // {
      
    };
    packages."${system}".default = machNix.mkPython baseConfig // {
      
    };
  };
}
